| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::gapi::own::detail::MatHeader Struct Reference

`#include <opencv2/gapi/own/mat.hpp>`

Inheritance diagram for cv::gapi::own::detail::MatHeader:

## Public Types
enum | { AUTO_STEP = 0 }
enum | { TYPE_MASK = 0x00000FFF }

## Public Member Functions
| MatHeader ()=default
| MatHeader (int _rows, int _cols, int type, void *_data, size_t _step)
| MatHeader (const std::vector< int > &_dims, int type, void *_data)
| MatHeader (const MatHeader &)=default
| MatHeader (MatHeader &&src)
MatHeader & | operator= (const MatHeader &)=default
MatHeader & | operator= (MatHeader &&src)

## Public Attributes
int | cols = 0
uchar * | data = nullptr
| pointer to the data More...
std::vector< int > | dims
| dimensions (ND-case) More...
int | flags = 0
int | rows = 0
| the number of rows and columns or (-1, -1) when the matrix has more than 2 dimensions More...
size_t | step = 0

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
AUTO_STEP |

## ◆ anonymous enum

anonymous enum

Enumerator
TYPE_MASK |

## Constructor & Destructor Documentation

## ◆ MatHeader() [1/5]

cv::gapi::own::detail::MatHeader::MatHeader | ( |  | ) |
| default

## ◆ MatHeader() [2/5]

cv::gapi::own::detail::MatHeader::MatHeader | ( | int | _rows,
|  | int | _cols,
|  | int | type,
|  | void * | _data,
|  | size_t | _step
| ) |  |
| inline

## ◆ MatHeader() [3/5]

cv::gapi::own::detail::MatHeader::MatHeader | ( | const std::vector< int > & | _dims,
|  | int | type,
|  | void * | _data
| ) |  |
| inline

## ◆ MatHeader() [4/5]

cv::gapi::own::detail::MatHeader::MatHeader | ( | const MatHeader & |  | ) |
| default

## ◆ MatHeader() [5/5]

cv::gapi::own::detail::MatHeader::MatHeader | ( | MatHeader && | src | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/2]

MatHeader& cv::gapi::own::detail::MatHeader::operator= | ( | const MatHeader & |  | ) |
| default

## ◆ operator=() [2/2]

MatHeader& cv::gapi::own::detail::MatHeader::operator= | ( | MatHeader && | src | ) |
| inline

## Member Data Documentation

## ◆ cols

int cv::gapi::own::detail::MatHeader::cols = 0

## ◆ data

uchar* cv::gapi::own::detail::MatHeader::data = nullptr

pointer to the data

## ◆ dims

std::vector<int> cv::gapi::own::detail::MatHeader::dims

dimensions (ND-case)

## ◆ flags

int cv::gapi::own::detail::MatHeader::flags = 0

includes several bit-fields:

- depth
- number of channels

## ◆ rows

int cv::gapi::own::detail::MatHeader::rows = 0

the number of rows and columns or (-1, -1) when the matrix has more than 2 dimensions

## ◆ step

size_t cv::gapi::own::detail::MatHeader::step = 0

The documentation for this struct was generated from the following file:

- opencv2/gapi/own/mat.hpp